Bug 1632154 - Cannot see basic audit log
Summary: Cannot see basic audit log
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Master
Version: 3.10.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 3.10.z
Assignee: Maciej Szulik
QA Contact: ge liu
URL:
Whiteboard:
Depends On: 1631087 1632155
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-09-24 08:54 UTC by Maciej Szulik
Modified: 2019-01-10 09:27 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Default log format for audit was set to json. Consequence: Audit log was always printed using json format. Fix: Allow setting log format as specified in master-config.yaml Result: Audit log contains values per configured log format.
Clone Of: 1631087
Environment:
Last Closed: 2019-01-10 09:27:09 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0026 None None None 2019-01-10 09:27:16 UTC

Comment 2 Maciej Szulik 2018-10-18 19:04:56 UTC
Fix in https://github.com/openshift/origin/pull/21294

Comment 3 ge liu 2018-10-31 07:01:17 UTC
Verified in ocp: v3.10.66


2018-10-31T06:57:06.417909582Z AUDIT: id="b567c405-5127-4569-b600-ada7d5e2a0f0" stage="ResponseComplete" ip="10.240.0.27" method="get" user="system:openshift-master" groups="\"system:masters\",\"system:authenticated\"" as="<self>" asgroups="<lookup>" namespace="<none>" uri="/apis/user.openshift.io/v1/identities/allow_all:lg" response="404"
2018-10-31T06:57:06.420701375Z AUDIT: id="5363d068-4606-495a-97fb-e4d5d92a0799" stage="RequestReceived" ip="10.240.0.27" method="get" user="system:openshift-master" groups="\"system:masters\",\"system:authenticated\"" as="<self>" asgroups="<lookup>" namespace="<none>" uri="/apis/apiregistration.k8s.io/v1beta1?timeout=32s" response="<deferred>"
2018-10-31T06:57:06.420701375Z AUDIT: id="5363d068-4606-495a-97fb-e4d5d92a0799" stage="ResponseComplete" ip="10.240.0.27" method="get" user="system:openshift-master" groups="\"system:masters\",\"system:authenticated\"" as="<self>" asgroups="<lookup>" namespace="<none>" uri="/apis/apiregistration.k8s.io/v1beta1?timeout=32s" response="200"

Comment 5 errata-xmlrpc 2019-01-10 09:27:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0026


Note You need to log in before you can comment on or make changes to this bug.